ch.qos.logback.classic.spi

## Class PlatformInfo

- java.lang.Object
- - ch.qos.logback.classic.spi.PlatformInfo

    public class PlatformInfo
    extends Object

This class provides information about the runtime platform.

Author:
  Ceki Gulcu

### Constructor Summary

Constructors
Constructor and Description
`PlatformInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `hasJMXObjectName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformInfo

    public PlatformInfo()

### Method Detail

#### hasJMXObjectName

    public static boolean hasJMXObjectName()